New port: graphics/instant-meshes: Interactive field-aligned mesh generator

Authored by yuri on Dec 28 2017, 9:11 AM.

Diff Detail

rP FreeBSD ports repository
Automatic diff as part of commit; lint not applicable.
Automatic diff as part of commit; unit tests not applicable.
yuri created this revision.Dec 28 2017, 9:11 AM

Why does it need eigen at runtime?

yuri added a comment.Dec 28 2017, 11:13 AM
This comment was removed by yuri.
yuri updated this revision to Diff 37130.Dec 28 2017, 11:21 AM

Sorry, Eigen isn't needed in the runtime.
They are needed for nanogui only, which should have been a depedency.
I didn't submit nanogui yet.

tcberner added inline comments.Jan 15 2018, 4:13 PM
30 ↗(On Diff #37130)


tcberner requested changes to this revision.Jan 15 2018, 4:14 PM
This revision now requires changes to proceed.Jan 15 2018, 4:14 PM
yuri updated this revision to Diff 38015.Jan 16 2018, 12:04 AM
yuri marked an inline comment as done.


tcberner accepted this revision.Jan 19 2018, 7:43 PM
This revision is now accepted and ready to land.Jan 19 2018, 7:43 PM
tcberner added inline comments.Jan 19 2018, 7:43 PM
14 ↗(On Diff #38015)

^ sorry, just notices, that you could use USES=eigen:3 :)

This revision was automatically updated to reflect the committed changes.